package com.adc.da.vdaims.annotation;

import com.adc.da.mp.base.IBaseService;
import com.adc.da.vdaims.enums.ParamType;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface TableAuthCheck {
    Class<? extends IBaseService> service();

    String paramName() default "id";

    String queryColunm() default "ID";

    ParamType paramType() default ParamType.string;

    String qyId() default "QY_ID";
}
